## base64 1.1

=== DESCRIPTION ===
Package: base64
Type: Package
Title: Base 64 encoder/decoder
Version: 1.1
Date: 2010-04-04
Author: Romain Francois, based on code by Bob Trower available at
        http://base64.sourceforge.net/
Maintainer: ORPHANED
Description: Base 64 encoder/decoder
License: GPL (>= 2)
LazyLoad: yes
URL:
        http://romainfrancois.blog.free.fr/index.php?category/R-package/base64
Packaged: 2011-12-03 12:22:31 UTC; romain
Repository: CRAN
Date/Publication: 2011-12-03 11:23:14
X-CRAN-Original-Package: base64
X-CRAN-Original-Maintainer: Romain Francois <romain@r-enthusiasts.com>
X-CRAN-Comment: Orphaned on 2012-07-18 as the orginal maintainer,
        Romain Francois <romain@r-enthusiasts.com>, is unresponsive.

## base64 1.4-osso1

=== debian/changelog ===
base64 (1.4-osso1) unstable; urgency=low

  * Initial revision. Original version base64-1.4 can be found
    at http://www.fourmilab.ch/webtools/base64/

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri,  1 Dec 2006 13:27:46 +0200

=== debian/control ===
Source: base64
Section: net
Priority: optional
Maintainer: Jukka Rissanen <jukka.rissanen@nokia.com>
Build-Depends: debhelper
Standards-Version: 3.6.2

Package: base64
Architecture: any
Depends: ${shlibs:Depends}
Description: base64 conversion tool
 This is the base64 tool from http://www.fourmilab.ch/webtools/base64/
 Tool is debianized for OSSO.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This has to be exported to make some magic below work.
export DH_OPTIONS

PKG_DIR=base64

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
else
# Use soft-float and thumb mode if no hard float enabled
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	rm -f config.cache
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libexecdir=/usr/bin --disable-profiling --disable-static
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	-$(MAKE) distclean
	find -type d -name autom4te.cache -print0 | xargs -0 -r rm -rf \;
	-rm -f platform.h auto-include.h
	find -type d -name build -print0 | xargs -0 -r rm -rf \;
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;

# 	Fix permissions
	if [ -r debian/executable.files ] ; then \
	        find -type d -print0 | xargs -0 -r chmod 755 ;\
	        find -type f ! -name 'rules' -print0 | xargs -0 -r chmod 644 ;\
	        xargs -t -r chmod +x < debian/executable.files ;\
	fi

# 	Final static cleanups
	if [ -r debian/deletable.files ] ; then \
	        xargs -t -r rm -f < debian/deletable.files ;\
	fi

	rm -rf debian/base64
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	The program makefile does not know to create these, wierd
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/man/man1
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_install --sourcedir=debian/tmp -v
#	dh_install -v
	dh_link -a
	dh_strip -a --dbg-package=base64
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## base64 2.0

=== DESCRIPTION ===
Package: base64
Type: Package
Title: Base64 Encoder and Decoder
Version: 2.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: Compatibility wrapper to replace the orphaned package by
    Romain Francois. New applications should use the 'openssl' or
    'base64enc' package instead.
License: MIT + file LICENSE
Imports: openssl
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-05-10 19:43:36 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-05-10 23:57:02

## base64 2.0.1

=== DESCRIPTION ===
Package: base64
Type: Package
Title: Base64 Encoder and Decoder
Version: 2.0.1
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Compatibility wrapper to replace the orphaned package. New 
    applications should use base64 encoders from 'jsonlite' or 'openssl' or
    'base64enc'.
License: MIT + file LICENSE
Imports: openssl
RoxygenNote: 7.2.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-08-19 09:13:46 UTC; jeroen
Repository: CRAN
Date/Publication: 2022-08-19 12:40:02 UTC

## base64 2.0.2

=== DESCRIPTION ===
Package: base64
Type: Package
Title: Base64 Encoder and Decoder
Version: 2.0.2
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com")
Description: Compatibility wrapper to replace the orphaned package. New 
    applications should use base64 encoders from 'jsonlite' or 'openssl' or
    'base64enc'.
License: MIT + file LICENSE
Imports: openssl
RoxygenNote: 7.2.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-10-03 14:12:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 13:00:05 UTC
